Summary:	A non-linear video editing application for Plasma 5
Name:		kdenlive
Version:	16.08.2
Release:	2
Epoch:		1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://konsole.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kdenlive-16.08.2-wizard-applications.patch
Patch1:		kdenlive-16.08.2-style.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5filemetadata-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5notifications-devel
BuildRequires:	kf5notifyconfig-devel
BuildRequires:	kf5plotting-devel
BuildRequires:	kf5textwidgets-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(mlt-framework) >= 6.2.0
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Declarative)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(sm)
Requires:	breeze-icon-theme
Requires:	dvgrab
Requires:	ffmpeg
Requires:	frei0r-plugins
Requires:	ladspa
Requires:	mlt >= 6.2.0
Requires:	phonon4qt5-backend
Requires:	qt5-qtquickcontrols-qml
Requires:	x11-font-misc-misc

%description
Kdenlive is a non-linear video editor for Plasma 5. It relies on a separate
renderer, piave, to handle it's rendering. Kdenlive supports multitrack
editing.

%files
%doc AUTHORS README ChangeLog COPYING
%{_kde5_applicationsdir}/org.kde.kdenlive.desktop
%{_kde5_bindir}/kdenlive
%{_kde5_bindir}/kdenlive_render
%{_kde5_datadir}/kdenlive
%{_kde5_datadir}/config.kcfg/kdenlivesettings.kcfg
%{_kde5_docdir}/HTML/en/kdenlive
%{_kde5_iconsdir}/hicolor/*/actions/kdenlive-*.*
%{_kde5_iconsdir}/hicolor/*/apps/kdenlive.*
%{_kde5_iconsdir}/hicolor/*/mimetypes/application-x-kdenlive.*
%{_kde5_iconsdir}/hicolor/*/mimetypes/application-x-kdenlivetitle.*
%{_kde5_iconsdir}/hicolor/*/mimetypes/video-mlt-playlist.*
%{_kde5_mandir}/man1/kdenlive.1*
%{_kde5_mandir}/man1/kdenlive_render.1*
%{_kde5_notificationsdir}/kdenlive.notifyrc
%{_kde5_services}/mltpreview.desktop
%{_kde5_sysconfdir}/xdg/kdenlive_*.knsrc
%{_kde5_xmlguidir}/kdenlive/kdenliveui.rc
%{_appdatadir}/org.kde.kdenlive.appdata.xml
%{_datadir}/mime/packages/*.xml
%{_qt5_plugindir}/mltpreview.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

# We don't use Debian menus
rm -f %{buildroot}%{_kde5_datadir}/menu/kdenlive

%changelog

* Sat Nov 19 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-2
- (9ea41fb) Requires qt5-qtquickcontrols-qml

* Fri Nov 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:16.08.2-1
- (6f4c0e7) New version 16.08.2
- (6f4c0e7) Require breeze-icon-theme, frei0r-plugins, ladspa and phonon4qt5-backend

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.3-2
- (b6150e3) MassBuild#1169: Increase release tag

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.3-1
- (d5c1f5a) New version 15.08.3

* Mon Oct 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.08.2-2
- (bd6789a) Update to 15.08.2 with Epoch added

* Mon Oct 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.04.3-5
- (feffef8) Bump release

* Mon Oct 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:15.04.3-1
- (fa10d71) Rebuild version 15.04.3 with Epoch

* Thu Oct 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.2-1
- (cada19d) New version 15.08.2

* Wed Sep 16 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.1-1
- (df025f0) New version 15.08.1

* Thu Aug 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.0-1
- (c4557e8) Build requires pkgconfig(Qt5Qml) now
- (Andrey Bondrov: 83780c0) Build requires pkgconfig(Qt5Qml) now
- (Andrey Bondrov: 3bf0a73) New version 15.08.0
- (Andrey Bondrov: 3bf0a73) Drop merged patches
- (Andrey Bondrov: 3bf0a73) Re-diff wizard-applications patch

* Thu Jul 02 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.04.3-1
- (1016a08) Turn release build ON (should have been done upstream)
- (Andrey Bondrov: 181df8e) New version 15.04.3

* Thu Jun 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.04.2-3
- (cfdc104) Add patch to adjust default applications in wizard

* Thu Jun 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.04.2-2
- (01de837) Make it possible to configure applications for audio, video and graphics again
- (Andrey Bondrov: d041649) Respect CMAKE_CXX_FLAGS (add patch)

* Thu Jun 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.04.2-1
- (f209d20) New version 15.04.2

* Mon Jun 01 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.04.1-1
- (b9a2eae) Require pkgconfig(glu) to build
- (Andrey Bondrov: cd914be) New version 15.04.1
- (Andrey Bondrov: cd914be) Switch to KF5 and Qt5

* Sat Nov 15 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.10-2
- (9c90b8b) Update Russian translation

* Thu Nov 06 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.10-1
- (454c899) New version 0.9.10

* Sat Jul 05 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.8-1
- (3a8293e) New version 0.9.8

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9.6-4
- (fcf0714) MassBuild#440: Increase release tag

* Fri Aug 02 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.6-3
- (817a31c) LOG Rebuild against new mlt

* Mon Apr 08 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.9.6-1
- (d60de8f) LOG New version 0.9.6

* Thu Feb 14 2013 Denis Silakov <denis.silakov@rosalab.ru> 0.9.4-4
- (bede2cb) Do not suggest recordmydesktop - completely replaced with ffmpeg in kdenlive 0.9.4

* Sat Feb 02 2013 Denis Silakov <denis.silakov@rosalab.ru> 0.9.4-3
- (0ec110d) Added xine to suggests
- (Denis Silakov: 10573c6) Added libv4l2 BR

* Wed Jan 30 2013 Denis Silakov <denis.silakov@rosalab.ru> 0.9.4-2
- (2b8b06d) Bump release to rebuild with new json


